"use strict";
const common_vendor = require("../../../../common/vendor.js");
const BILL_outstanding_fee_show_model = require("../model.js");
require("../../../../common/libraries/day.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  _easycom_up_icon2();
}
const _easycom_up_icon = () => "../../../../node-modules/uview-plus/components/u-icon/u-icon.js";
if (!Math) {
  _easycom_up_icon();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "BillRecord",
  setup(__props) {
    const toPage = (url) => {
      var _a, _b, _c, _d, _e, _f;
      common_vendor.index.navigateTo({
        url: `${url}?asset_houses_id=${(_c = (_b = (_a = BILL_outstanding_fee_show_model.useModel) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.asset_houses_id}&total_pending_amount=${(_f = (_e = (_d = BILL_outstanding_fee_show_model.useModel) == null ? void 0 : _d.showData) == null ? void 0 : _e.value) == null ? void 0 : _f.total_pending_amount}`
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          name: "clock",
          size: "18",
          color: "#666"
        }),
        b: common_vendor.o(($event) => toPage("/BILL/record/urge_payment/index")),
        c: common_vendor.p({
          name: "rmb-circle",
          size: "18",
          color: "#666"
        }),
        d: common_vendor.o(($event) => toPage("/BILL/record/payment/index"))
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7208113d"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/show/components/BillRecord.vue"]]);
wx.createComponent(Component);
